/*
 *	       __          __                __            
 *	  ____/ /__ _   __/ /_  ____  ____  / /__ _________
 *	 / __  / _ \ | / / __ \/ __ \/ __ \/ //_// ___/_  /
 *	/ /_/ /  __/ |/ / /_/ / /_/ / /_/ / ,< _/ /__  / /_
 *	\__,_/\___/|___/_.___/\____/\____/_/|_(_)___/ /___/
 *                                                   
 *                                                           
 *      TUTORIÁLY  <>  DISKUZE  <>  KOMUNITA  <>  SOFTWARE
 * 
 *	Tento zdrojový kód je součástí tutoriálů na programátorské 
 *	sociální síti DEVBOOK.CZ	
 *	
 *	Kód můžete upravovat pod licencí MIT, 
 *	tedy jak chcete, jen zmiňte odkaz na www.devbook.cz :-) 
 */


import java.util.ArrayList;
import java.util.Collections;
import java.util.Random;

/**  Losovač k losování a zaznamenávání čísel */
class Losovac
{
    /** Vnitřní kolekce čísel */
    private ArrayList<Integer> cisla;
    /** Generátor náhodných čísel */
    private Random random;

    /** Vytvoří nový losovač */
    public Losovac()
    {
        random = new Random();
        cisla = new ArrayList<Integer>();         
    }

    /// <summary>
    /// Vylosuje nové náhodné číslo a to uloží do kolekce
    /// </summary>
    /// <returns>Nové náhodné číslo</returns>
    public int losuj()
    {
        Integer cislo = random.nextInt(100) + 1;
        cisla.add(cislo);
        return cislo;
    }

    /**
     *  Vrátí string, obsahující výpis seřazených tažených čísel
     * @return výpis seřazených tažených čísel
     */
    public String vypis()
    {
        String s = "";
                 
        Collections.sort(cisla);
        for (int i : cisla)
            s += i + " ";
        return s;
    }

}