/*
 *	       __          __                __            
 *	  ____/ /__ _   __/ /_  ____  ____  / /__ _________
 *	 / __  / _ \ | / / __ \/ __ \/ __ \/ //_// ___/_  /
 *	/ /_/ /  __/ |/ / /_/ / /_/ / /_/ / ,< _/ /__  / /_
 *	\__,_/\___/|___/_.___/\____/\____/_/|_(_)___/ /___/
 *                                                   
 *                                                           
 *      TUTORIÁLY  <>  DISKUZE  <>  KOMUNITA  <>  SOFTWARE
 * 
 *	Tento zdrojový kód je součástí tutoriálů na programátorské 
 *	sociální síti DEVBOOK.CZ	
 *	
 *	Kód můžete upravovat pod licencí MIT, 
 *	tedy jak chcete, jen zmiňte odkaz na www.devbook.cz :-) 
 */


import java.util.Scanner;

public class Losovani {

    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in, "Windows-1250");
        Losovac losovac = new Losovac();
        System.out.println("Vítejte v programu losování.");
        String volba = "0";
        // hlavní cyklus
        while (!(volba.equals("3")))
        {
            // výpis možností
            System.out.println("1 - Losovat další číslo");
            System.out.println("2 - Vypsat čísla");
            System.out.println("3 - Konec");
            volba = sc.nextLine().trim();
            System.out.println();
            // reakce na volbu
            if ("1".equals(volba)) {
                System.out.printf("Padlo číslo: %s\n", losovac.losuj());
            } else if ("2".equals(volba)) {
                System.out.printf("Padla čísla: %s\n", losovac.vypis());
            } else if ("3".equals(volba)) {
                System.out.println("Děkuji za použití programu");
            } else {
                System.out.println("Neplatná volba, zadejte prosím znovu.");
            }
        }
    }
}
